Package org.apache.wiki.auth.permissions

# Class AllPermission

java.lang.Object
java.security.Permission
org.apache.wiki.auth.permissions.AllPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class AllPermission extends Permission implements Serializable

Permission to perform all operations on a given wiki.

Since:
  2.3.80
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AllPermission(String wiki)`
Creates a new AllPermission for the given wikis.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Two AllPermission objects are considered equal if their wikis are equal.
`String`
`getActions()`
No-op; always returns `null`
`String`
`getWiki()`
Returns the name of the wiki containing the page represented by this permission; may return the wildcard string.
`int`
`hashCode()`
Returns the hash code for this WikiPermission.
`boolean`
`implies(Permission permission)`
WikiPermission can only imply other WikiPermissions; no other permission types are implied.
`PermissionCollection`
`newPermissionCollection()`
Returns a new `AllPermissionCollection`.
`String`
`toString()`
Prints a human-readable representation of this permission.

### Methods inherited from class java.security.Permission

`checkGuard, getName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AllPermission

public AllPermission(String wiki)
Creates a new AllPermission for the given wikis.

Parameters:
  `wiki` - the wiki to which the permission should apply. If null, will apply to all wikis.

## Method Details

### equals

public boolean equals(Object obj)
Two AllPermission objects are considered equal if their wikis are equal.

Specified by:
  `equals` in class `Permission`
Parameters:
  `obj` -
Returns:
See Also:
  - `Object.equals(java.lang.Object)`

### getActions

public String getActions()
No-op; always returns `null`

Specified by:
  `getActions` in class `Permission`
Returns:
  Always null.
See Also:
  - `Permission.getActions()`

### getWiki

public String getWiki()
Returns the name of the wiki containing the page represented by this permission; may return the wildcard string.

Returns:
  The wiki

### hashCode

public int hashCode()
Returns the hash code for this WikiPermission.

Specified by:
  `hashCode` in class `Permission`
Returns:
See Also:
  - `Object.hashCode()`

### implies

public boolean implies(Permission permission)
WikiPermission can only imply other WikiPermissions; no other permission types are implied. One WikiPermission implies another if all of the other WikiPermission's actions are equal to, or a subset of, those for this permission.

Specified by:
  `implies` in class `Permission`
Parameters:
  `permission` - the permission which may (or may not) be implied by this instance
Returns:
  `true` if the permission is implied, `false` otherwise
See Also:
  - `Permission.implies(java.security.Permission)`

### newPermissionCollection

public PermissionCollection newPermissionCollection()
Returns a new `AllPermissionCollection`.

Overrides:
  `newPermissionCollection` in class `Permission`
Returns:
See Also:
  - `Permission.newPermissionCollection()`

### toString

public String toString()
Prints a human-readable representation of this permission.

Overrides:
  `toString` in class `Permission`
Returns:
See Also:
  - `Object.toString()`